<?php
/**
 * pph_base.php - Stage Pre Processing Handle Base class
 *
 * @author $Author: samarth $
 * @version $Id: pph_base.php,v 1.2 2010/05/14 05:11:11 samarth Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/

abstract class pph_base {
	protected $CI = NULL;
	abstract protected function process(&$stage, $stagenum, $meta_flag, $params);
	
	function __construct() {
		$this->CI = &get_instance();
	}
}